# Method: networks.line.create

Creates a Line.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}/line`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this line will be created. Format: "networks/{network}" |

### Query parameters

| Parameters ||
|---|---|
| `lineId` | `string` Required. Identifier of the line to create. |

### Request body

The request body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.line#Line`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.line#Line`.